using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
//该源码下载自www.51aspx.com(５１ａｓｐｘ．ｃｏｍ)

public partial class Hot : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.ClientScript.RegisterClientScriptInclude("fgg", "js/JSMsg.js");

        this.activeUser.DataSource = new EUser().GetActiveUser();
        this.activeUser.DataBind();

        this.hotItems.DataSource = new EItem().HotItems();
        this.hotItems.DataBind();

        this.hotMenu.DataSource = new EMenuType().GetHotMenu();
        this.hotMenu.DataBind();




    }

    #region 邦定子控件
    protected void hotMenu_ItemDataBound(object sender, System.Web.UI.WebControls.RepeaterItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
        {
            Repeater rptProduct = (Repeater)e.Item.FindControl("hotMenuItems");
            Model.MenuType rowv = (Model.MenuType)e.Item.DataItem;
            rptProduct.DataSource = rowv.Menuitems;
            rptProduct.DataBind();
        }

    }
    #endregion
}
